Package ru.bitel.bgbilling.modules.agr.server.bean

# Class AGRRequest

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.agr.server.bean.AGRRequest

public class AGRRequest extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
Модель запроса от ПС AGR, содержащая все входящие параметры

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGRRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AGRAction`
  `getAction()`
  Получение выполняемого действия
  `String`
  `getAgrTransId()`
  Получение ID платежа в системе AGR
  `AGREnvironment`
  `getEnvironment()`
  Получение: боевая ("live") или тестовая среда ("sandbox")
  `Date`
  `getFrom()`
  Получение даты С для отчета по платежам
  `BigDecimal`
  `getMerchantTransAmount()`
  Получение суммы оплаты
  `String`
  `getMerchantTransId()`
  Получение ID лицевого счета в биллинге
  `int`
  `getPaymentId()`
  Получение id платежной системы в AGR
  `String`
  `getPaymentName()`
  Получение названия платежной системы в agr.
  `String`
  `getSignString()`
  Получение строки с подписью запроса.
  `Long`
  `getSignTime()`
  Получение времени в миллисекундах
  `TransactionStatus`
  `getStatus()`
  Получение статуса транзакции: оплачено (2) или отменено (3)
  `Date`
  `getTo()`
  Получение даты ПО для отчета по платежам
  `int`
  `getVendorId()`
  Получение id поставщика в AGR
  `long`
  `getVendorTransId()`
  `static AGRRequest`
  `parseRequest(String jsonString, String pathInfo)`
  Из входной json-строки получаем на выходе распарсенный по полям запрос
  `AGRRequest`
  `setAction(AGRAction action)`
  `AGRRequest`
  `setAgrTransId(String agrTransId)`
  `AGRRequest`
  `setEnvironment(AGREnvironment environment)`
  `AGRRequest`
  `setFrom(Date from)`
  `AGRRequest`
  `setMerchantTransAmount(BigDecimal merchantTransAmount)`
  `AGRRequest`
  `setMerchantTransId(String merchantTransId)`
  `AGRRequest`
  `setPaymentId(int paymentId)`
  `AGRRequest`
  `setPaymentName(String paymentName)`
  `AGRRequest`
  `setSignString(String signString)`
  `AGRRequest`
  `setSignTime(Long signTime)`
  `AGRRequest`
  `setStatus(TransactionStatus status)`
  `AGRRequest`
  `setTo(Date to)`
  `AGRRequest`
  `setVendorId(int vendorId)`
  `AGRRequest`
  `setVendorTransId(long vendorTransId)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AGRRequest

    public AGRRequest()

- ## Method Details

  - ### parseRequest

    public static AGRRequest parseRequest(String jsonString, String pathInfo) throws AGRException
    Из входной json-строки получаем на выходе распарсенный по полям запрос
    Parameters:
      `jsonString` - json-строка с запросом
      `pathInfo` - часть пути в url, содержащая в себе mid и название действия запроса
    Returns:
      распарсенный запрос в виде AGRRequest
    Throws:
      `AGRException`

  - ### getAction

    public AGRAction getAction()
    Получение выполняемого действия

  - ### getMerchantTransId

    public String getMerchantTransId()
    Получение ID лицевого счета в биллинге

  - ### getSignTime

    public Long getSignTime()
    Получение времени в миллисекундах

  - ### getSignString

    public String getSignString()
    Получение строки с подписью запроса.

  - ### getPaymentName

    public String getPaymentName()
    Получение названия платежной системы в agr.

  - ### getAgrTransId

    public String getAgrTransId()
    Получение ID платежа в системе AGR

  - ### getMerchantTransAmount

    public BigDecimal getMerchantTransAmount()
    Получение суммы оплаты

  - ### getEnvironment

    public AGREnvironment getEnvironment()
    Получение: боевая ("live") или тестовая среда ("sandbox")

  - ### getStatus

    public TransactionStatus getStatus()
    Получение статуса транзакции: оплачено (2) или отменено (3)

  - ### getFrom

    public Date getFrom()
    Получение даты С для отчета по платежам

  - ### getTo

    public Date getTo()
    Получение даты ПО для отчета по платежам

  - ### getVendorTransId

    public long getVendorTransId()

  - ### getPaymentId

    public int getPaymentId()
    Получение id платежной системы в AGR

  - ### getVendorId

    public int getVendorId()
    Получение id поставщика в AGR

  - ### setAction

    public AGRRequest setAction(AGRAction action)

  - ### setMerchantTransId

    public AGRRequest setMerchantTransId(String merchantTransId)

  - ### setSignTime

    public AGRRequest setSignTime(Long signTime)

  - ### setSignString

    public AGRRequest setSignString(String signString)

  - ### setPaymentName

    public AGRRequest setPaymentName(String paymentName)

  - ### setAgrTransId

    public AGRRequest setAgrTransId(String agrTransId)

  - ### setMerchantTransAmount

    public AGRRequest setMerchantTransAmount(BigDecimal merchantTransAmount)

  - ### setVendorTransId

    public AGRRequest setVendorTransId(long vendorTransId)

  - ### setEnvironment

    public AGRRequest setEnvironment(AGREnvironment environment)

  - ### setStatus

    public AGRRequest setStatus(TransactionStatus status)

  - ### setFrom

    public AGRRequest setFrom(Date from)

  - ### setTo

    public AGRRequest setTo(Date to)

  - ### setVendorId

    public AGRRequest setVendorId(int vendorId)

  - ### setPaymentId

    public AGRRequest setPaymentId(int paymentId)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`